local jkCornFarm = ...

jkCornFarm:register({
	DataType = "BUILDING",
	Id = MOD_NS .. "CORN_FARM",
	Name = MOD_NS .. "CORN_FARM_NAME",
	BuildingType = BUILDING_TYPE.FOOD_PRODUCTION,
	AssetCoreBuildingPart = MOD_NS .. "CORN_FARMM_PART",
	IsDestructible = true,
	IsClearTrees = true,
})

jkCornFarm:override({
	Id = "BUILDING_PROGRESS_LIST_DEFAULT",
	ProgressList = {
		Action = "APPEND",
		{
			UnlockName = "UNLOCK_CORN_FARM",
			AssetBuildingList = {
				MOD_NS .. "CORN_FARM",
			},
			IsManuallyUnlocked = false,
			VillagerRequired = {
				Status = "SERF",
				Quantity = 10
			}
		},
	}
})